
namespace DndBattlefield.Models
{
    public class Spilleplade
    {
        public int ID {get; set;}
        public string? Name {get; set;}
        public string? Gridtype {get; set;} //firekant eller hexagonal
        public int Cellsize {get; set;} //størrelse på celler i pixel
        public string? BackgroundImage {get; set;} //url til baggrundsbillede
        public List<Terrain>? Terrain {get; set;}

    }

    public class Terrain
    {
        public int ID {get; set;}
        public string? Name {get; set;}
        public string? Type {get; set;} //type af terræn
        public string? Image {get; set;} 

        public int X {get; set;} 
        public int Y {get; set;} 

        public bool BlocksMovement {get; set;} //blokerer bevægelse
        public int MovementCost {get; set;} //bevægelighedsomkostning for terræn

        public int SpillepladeID {get; set;} //FK til Spilleplade
        public Spilleplade? Spilleplade {get; set;} //navigation property
    }

}